All Data Structures Functions Variables Enumerations Enumerator Groups Pages
sa_disk Struct Reference
Disk statistics interface

## Data Fields

char | name [SA_DISK_NAME]
| Device's name. It's used as the unique identifier of the device.
uint64_t | reads
| Number of reads.
uint64_t | reads_merged
| Number of reads which are adjacent to each other and have been merged for efficiency.
uint64_t | sectors_read
| Total number of sectors read.
uint64_t | time_spent_reading
| Number of seconds spent performing read operations.
uint64_t | writes
| Number of writes.
uint64_t | sectors_written
| Total number of sectors written.
uint64_t | time_spent_writing
| Number of seconds spent performing write operations.
uint64_t | bytes_read
| Total number of bytes read.
uint64_t | bytes_written
| Total number of bytes written.

## Detailed Description

This structure gathers the details about the activity of one disk.

The documentation for this struct was generated from the following file:

- src/common/disk.h